package com.yc.ship.module.otc.service.otclevel;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.otclevel.vo.OtcLevelPageReqVO;
import com.yc.ship.module.otc.controller.admin.otclevel.vo.OtcLevelSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.otclevel.OtcLevelDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 旅行社等级管理 Service 接口
 *
 * @author 管理员
 */
public interface OtcLevelService {

    /**
     * 创建旅行社等级管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLevel(@Valid OtcLevelSaveReqVO createReqVO);

    /**
     * 更新旅行社等级管理
     *
     * @param updateReqVO 更新信息
     */
    void updateLevel(@Valid OtcLevelSaveReqVO updateReqVO);

    /**
     * 删除旅行社等级管理
     *
     * @param id 编号
     */
    void deleteLevel(Long id);

    /**
     * 获得旅行社等级管理
     *
     * @param id 编号
     * @return 旅行社等级管理
     */
    OtcLevelDO getLevel(Long id);

    OtcLevelDO getLevelByTravlId(Long trvlId);

    /**
     * 获得旅行社等级管理分页
     *
     * @param pageReqVO 分页查询
     * @return 旅行社等级管理分页
     */
    PageResult<OtcLevelDO> getLevelPage(OtcLevelPageReqVO pageReqVO);

    List<OtcLevelDO> getLevelList();
}